Bug 1090345 - yast fails to report %post script failures
yast fails to report %post script failures
Status: CONFIRMED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: YaST2
Leap 15.0
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: YaST Team
Jiri Srain
https://trello.com/c/n7w4OwyK
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-20 09:51 UTC by Ludwig Nussel
Modified: 2018-06-12 15:45 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
yelogs (1.07 MB, application/x-xz)
2018-04-20 09:55 UTC, Ludwig Nussel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2018-04-20 09:51:38 UTC
potentially related to bug 1088682, there's a %post error after a fresh install of Leap Build 206:

in /var/log/zypp/history there's this:

# 2018-04-20 10:20:58 libzypp-plugin-appdata-1.0.1+git.20180327-lp150.1.1.noarch.rpm installed ok
# Additional rpm output:
# warning: %post(libzypp-plugin-appdata-1.0.1+git.20180327-lp150.1.1.noarch) scriptlet failed, exit status 6
# 

That suggests rpm failing with status 6 but no error displayed during install
Comment 1 Ludwig Nussel 2018-04-20 09:55:18 UTC
Created attachment 767817 [details]
yelogs
Comment 2 Steffen Winterfeldt 2018-04-20 11:24:55 UTC
Imo, could you check, please?
Comment 3 Stefan Hundhammer 2018-06-06 14:07:05 UTC
Imo?
Comment 4 Imobach Gonzalez Sosa 2018-06-12 15:45:18 UTC
I think we are not getting the RPM output from libzypp. We should extend yast2-pkg-bindings in order to support it. Moving to our Trello board.